Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.application.backing
Class DesktopBackingContext

    java.lang.Object
      com.bea.netuix.servlets.controls.ControlContext
          com.bea.netuix.servlets.controls.BackingContext
              com.bea.netuix.servlets.controls.application.backing.DesktopBackingContext

All Implemented Interfaces:
  Serializable

public class DesktopBackingContext
extends BackingContext

The `DesktopBackingContext` is used to interact with the underlying Desktop control. This is the BackingContext for a Desktop. This `BackingContext` can only be referenced from a backing file. If you think you need to reference this from a JSP you should look at `DesktopPresentationContext`.

To get a handle to the BackingContext just call the following:
DesktopBackingContext.getDesktopBackingContext(request); Note: most methods for retrieving child contexts do not work if called from the `init()` method of a backing file. This is because the tree has not been fully initialized. You may have to call the method from the `preRender()` or `handlePostbackData` method.

See Also:
  Serialized Form

Method Summary
`BookBackingContext` | `getBookBackingContext()` Retrieve the main book (top level) backing context.
`BookBackingContext` | `getBookBackingContextRecursive(String definitionLabel)` Return a book searching the entire tree recursively.
`String` | `getDefinitionLabel()`
`static DesktopBackingContext` | `getDesktopBackingContext(HttpServletRequest request)` Obtain a reference to the current `DesktopBackingContext` in the request.
`PageBackingContext` | `getPageBackingContextRecursive(String definitionLabel)` Return a book or a page but traverse the entire tree, this will go inside books that are on pages too.
`PortletBackingContext` | `getPortletBackingContextRecursive(String instanceLabel)` Return the portlet backing context matching the supplied instance label.
`PortletBackingContext[]` | `getPortletsBackingContextRecursive(String definitionLabel)` Return portlet backing contexts matching the supplied definition label.
`String` | `getTitle()`
`void` | `setTitle(String title)`

Methods inherited from class com.bea.netuix.servlets.controls.BackingContext
`getChildrenBackingContexts, getParentBackingContext, getTopParentBackingContext, isBackingPhase, isVisible, setBackingPhase, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDesktopBackingContext

    public static DesktopBackingContext getDesktopBackingContext(HttpServletRequest request)

  Obtain a reference to the current `DesktopBackingContext` in the request. Note: the DesktopBackingContext should only be obtained from a backing file. If you think you need this context from a JSP look at DesktopPresentationContext.

  Parameters:
    `request` - http servlet request.
  Returns:
    a refence to the DesktopBackingContext or null if none exist.

### getBookBackingContext

    public BookBackingContext getBookBackingContext()

  Retrieve the main book (top level) backing context.

  Returns:
    a reference to the main book backing context otherwise null if none exist.

### getBookBackingContextRecursive

    public BookBackingContext getBookBackingContextRecursive(String definitionLabel)

  Return a book searching the entire tree recursively. If you are interested in both books AND pages use `getPageBackingContextRecursive()` as that method returns both. Note: this method may return null if called from the init() method of a backing context.

  Parameters:
    `definitionLabel` - of the book
  Returns:
    the Book of interest or null if not found.

### getPageBackingContextRecursive

    public PageBackingContext getPageBackingContextRecursive(String definitionLabel)

  Return a book or a page but traverse the entire tree, this will go inside books that are on pages too. Note: this method may return null if called from the init() method of a backing context.

  Parameters:
    `definitionLabel` -
  Returns:
    pageBackingContext or (BookBackingContext if book) of the page or book with matching definition label.

### getPortletBackingContextRecursive

    public PortletBackingContext getPortletBackingContextRecursive(String instanceLabel)

  Return the portlet backing context matching the supplied instance label. Note: this method may return null if called from the init() method of a backing context.

  Parameters:
    `instanceLabel` - unique instance label of the portlet
  Returns:
    a reference to the portlet's BackingContext if it exist otherwise null.

### getPortletsBackingContextRecursive

    public PortletBackingContext[] getPortletsBackingContextRecursive(String definitionLabel)

  Return portlet backing contexts matching the supplied definition label. Since many portlets can share the same definition label, more then one portlet can be returned. If you are interested in just one portlet then try `getPortletBackingContextRecursive(String instanceLabel)` Note: this method may return null if called from the init() method of a backing context.

  Parameters:
    `definitionLabel` - label of the portlet
  Returns:
    a non null array of PortletBackingContext.

### getTitle

    public String getTitle()

### setTitle

    public void setTitle(String title)

### getDefinitionLabel

    public String getDefinitionLabel()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved